package com.engine.organization.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.organization.entity.logview.param.LogViewSearchParam;
import com.engine.organization.service.LogViewService;
import com.engine.organization.service.impl.LogViewServiceImpl;
import com.engine.organization.util.OrganizationWrapper;
import weaver.hrm.User;

import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2022/07/05
 * @version: 1.0
 */
public class LogViewWrapper extends OrganizationWrapper {
    private LogViewService getLogViewService(User user) {
        return ServiceUtil.getService(LogViewServiceImpl.class, user);
    }

    public Map<String, Object> listPage(LogViewSearchParam params) {
        return getLogViewService(user).listPage(params);
    }

    public Map<String, Object> getSearchCondition() {
        return getLogViewService(user).getSearchCondition();
    }
}
